Subject: request_module while holding rtnl semaphore

From: Patrick McHardy <[email-masked]>
Date: Thu, 04 Nov 2004 04:11:11 +0100

There are several instances of request_module beeing called while
holding the rtnl semaphore in net/sched. A pratical problem with
this is the teql scheduler which deadlocks when calling register_netdev
from its init function. A more far-fetched problem would be some crazy
person with their modules in a nfs-mounted directory on a server
reachable over a dial-on-demand link. I couldn't come up with a
solution except for refusing to autoload teql, maybe someone else has
an idea.

Regards
Patrick